curl --request GET \
--url https://api.leadping.ai/organizations/api-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/organizations/api-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/organizations/api-keys/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/organizations/api-keys/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/organizations/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/organizations/api-keys/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/organizations/api-keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"enabled": true,
"preview": "<string>",
"permissions": [
"<string>"
],
"issuedAt": "2023-11-07T05:31:56Z",
"firstUsedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"totalUses": 123,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Gets a safe API key detail row for a key the caller can access.
The operation enforces organization ownership or platform-admin authorization and returns state suitable for membership, billing, and support workflows.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The API key ID.
Response
The API key detail was successfully retrieved.
Safe identifying and usage metadata for an organization API key. This model never contains the secret credential.
Unique identifier of the API key.
Human-readable name of the API key.
Organization that owns the API key.
Show child attributes
Show child attributes
Whether the API key can currently authenticate requests.
Masked value that can be used to identify the key without revealing its secret.
Permission slugs granted to the API key.
Date and time when the API key was issued.
Date and time when the API key was first used.
Date and time when the API key was last used.
Date and time when the API key expires, or null when it does not expire.
Total number of tracked uses.
Date and time when Leadping began tracking the API key.
Date and time when the tracked API-key metadata was last modified.

